#### Database (with ASYN and STREAMS) support for LakeShore 336 ####

LakeShore 336 Setup 
  - Set IP address
  - Set line terminators for <NL>

EPICS Setup 
  - Build IOC Application with ASYN and STREAMS modules
  - Database and Streams Protocol file in <Full Path>/ioc/xxx/xxxApp/Db 

#### Startup command file ####

# Lakeshore 336 Temperature Controller 
drvAsynIPPortConfigure("LS336_IP", "xx.xx.xx.xx:7777", 0, 0, 0)
asynOctetSetInputEos("LS336_IP",0,"\n")
asynOctetSetOutputEos("LS336_IP",0,"\n")

epicsEnvSet ("STREAM_PROTOCOL_PATH", "<Full Path>/ioc/xxx/xxxApp/Db")
dbLoadRecords("$(TOP)/xxxApp/Db/LakeShore336.db", "P=xxx:,Q=TC1,PORT=LS336_IP,ADDR=0")


#### Display (MEDM) ############

medm -x -macro "P=xxx:,Q=TC1" LakeShore3336.adl 

